package com.abbidot.tracker.ui.activity.account

import com.abbidot.tracker.ui.fragment.account.CreateAccountV2OneFragment
import com.abbidot.tracker.ui.fragment.account.CreateAccountV2ThreeFragment
import com.abbidot.tracker.ui.fragment.account.EmailValidFragment

/**
 *Created  by .yzq on 2024/8/2/002.
 * @link
 * @description:
 */
class CreateAccountV2Activity : AddEmailValidActivity() {

    override fun initData() {
        mEmailValidFragment = EmailValidFragment.newInstance(mContext, 1) {
            switchFragment(2)
        }
        mFragmentList = mutableListOf(
            CreateAccountV2OneFragment.newInstance(mContext),
            mEmailValidFragment,
            CreateAccountV2ThreeFragment.newInstance(mContext)
        )
        super.initData()
    }
}